### 8.254 `UNLINK` — Remove a file from the file system

Description:
  Unlinks the file PATH. A null character (`CHAR(0)`) can be used to mark the end of the name in PATH; otherwise, trailing blanks in the file name are ignored. If the STATUS argument is supplied, it contains 0 on success or a nonzero error code upon return; see `unlink(2)`.

  This intrinsic is provided in both subroutine and function forms; however, only one form can be used in any given program unit.

Standard:
  GNU extension
Class:
  Subroutine, function
Syntax:

  `CALL UNLINK(PATH [, STATUS])`
  `STATUS = UNLINK(PATH)`

Arguments:

  PATH | Shall be of default `CHARACTER` type.
  STATUS | (Optional) Shall be of default `INTEGER` type.

See also:
  LINK, SYMLNK